ANTLR 2.7.7-foss-2019a

There is a newer version of ANTLR

ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is a language tool that provides a framework for constructing recognizers, compilers, and translators from grammatical descriptions containing Java, C#, C++, or Python actions.

Accessing ANTLR 2.7.7-foss-2019a

To load the module for ANTLR 2.7.7-foss-2019a please use this command on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs):

module load bear-apps/2022a
module load ANTLR/2.7.7-foss-2019a

BEAR Apps Version

2022a

More Information

For more information visit the ANTLR website.

Dependencies

This version of ANTLR has a direct dependency on: foss/2019a Java/11

Required By

This version of ANTLR is a direct dependent of: NCO/4.8.1-foss-2019a

Other Versions

These versions of ANTLR are available on the BEAR systems (BlueBEAR, BEAR Cloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Version BEAR Apps Version
2.7.7-GCCcore-9.3.0-Java-11 2020a

Last modified on 7th August 2019